import 'package:flutter/material.dart';

///分割线
class DividerCustom extends StatelessWidget {
  final double marginTop, marginBottom, marginLeft, marginRight;
  final Color? colors;

  const DividerCustom(this.colors, this.marginTop, this.marginBottom,
      this.marginLeft, this.marginRight,
      {super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 0.3,
      margin: EdgeInsets.only(
          top: marginTop,
          bottom: marginBottom,
          left: marginLeft,
          right: marginRight),
      color: colors,
    );
  }
}
